Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QAbstractItemView.SelectionBehavior

    java.lang.Object
      java.lang.Enum<QAbstractItemView.SelectionBehavior>
          com.trolltech.qt.gui.QAbstractItemView.SelectionBehavior

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QAbstractItemView.SelectionBehavior>

Enclosing class:
  QAbstractItemView

    public static enum QAbstractItemView.SelectionBehavior

extends java.lang.Enum<QAbstractItemView.SelectionBehavior>
implements QtEnumerator

Press link for info on QAbstractItemView.SelectionBehavior

Enum Constant Summary
`SelectColumns` Selecting only columns.
`SelectItems` Selecting single items.
`SelectRows` Selecting only rows.

Method Summary
`static QAbstractItemView.SelectionBehavior` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QAbstractItemView.SelectionBehavior` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QAbstractItemView.SelectionBehavior[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SelectItems

    public static final QAbstractItemView.SelectionBehavior SelectItems

  Selecting single items.

### SelectRows

    public static final QAbstractItemView.SelectionBehavior SelectRows

  Selecting only rows.

### SelectColumns

    public static final QAbstractItemView.SelectionBehavior SelectColumns

  Selecting only columns.

Method Detail

### values

    public static final QAbstractItemView.SelectionBehavior[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QAbstractItemView.SelectionBehavior c : QAbstractItemView.SelectionBehavior.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QAbstractItemView.SelectionBehavior valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QAbstractItemView.SelectionBehavior resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD